<?xml version="1.0" encoding="UTF-8"?>
<!--
Pantalla para el filtros de cargue CICA

25-10-2019

@author felipe.cadena
@mb RegistroTablasActualizacionMB
@cu CU-NP-CO-257 Registrar Tablas de Actualización

-->
<!DOCTYPE html>
<h:form id="filtrosAvanzadosForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc">

    <p:messages id="msgsFiltros" showDetail="false" globalOnly="false"/>

<br/>
    <p:fieldset legend="Área de terreno" toggleable="true" toggleSpeed="500">

        <p:spacer height="13" width="13"/>

        <h:panelGrid columns="3" cellpadding="5" width="100%">

            <p:panel>
                <h2>Área de terreno inicial (m2)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                        <p:inputText  widgetVar="inputRangeAT1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderAT1, this)"
                                       value="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoInicial.valorInicial}"/>


                        <p:inputText widgetVar="inputRangeAT2WV" onkeyup="onChangeInputSlider(sliderAT2, this)"

                                     value="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoInicial.valorFinal}"/>

                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range' id="sliderAT1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoInicial.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoInicial.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeAT1WV, this);'
                    />
                    <input type='range' id="sliderAT2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoInicial.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoInicial.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeAT2WV, this);'
                    />
                </div>
            </p:panel>

            <p:panel>
                <h2>Área de terreno final (m2)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeATF1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderATF1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoFinal.valorInicial}"/>
                    <p:inputText widgetVar="inputRangeATF2WV" onkeyup="onChangeInputSlider(sliderATF2, this)"
                                 value="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoFinal.valorFinal}"/>
                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range' id="sliderATF1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoFinal.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoFinal.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeATF1WV, this);'
                    />
                    <input type='range' id="sliderATF2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoFinal.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoFinal.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeATF2WV, this);'
                    />
                </div>
            </p:panel>

            <p:panel>
                <h2>Variación área de terreno (%)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeATD1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderATV1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoVariacion.valorInicial}"/>
                    <p:inputText widgetVar="inputRangeATD2WV" onkeyup="onChangeInputSlider(sliderATV2, this)"
                                 value="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoVariacion.valorFinal}"/>
                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range'  id="sliderATV1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoVariacion.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoVariacion.valorMaximo}" step='0.001'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeATD1WV, this);'
                    />
                    <input type='range' id="sliderATV2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoVariacion.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaTerrenoVariacion.valorMaximo}" step='0.001'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeATD2WV, this);'
                    />
                </div>
            </p:panel>
        </h:panelGrid>


        <p:separator></p:separator>


    </p:fieldset>
    <p:spacer height="10" width="13"/>

    <p:fieldset legend="Área de construcción" toggleable="true" toggleSpeed="500">

        <p:spacer height="13" width="13"/>

        <h:panelGrid columns="3" cellpadding="5" width="100%">

            <p:panel>
                <h2>Área de construcción inicial (m2)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeAC1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderAC1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionInicial.valorInicial}"/>


                    <p:inputText widgetVar="inputRangeAC2WV" onkeyup="onChangeInputSlider(sliderAC2, this)"

                                 value="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionInicial.valorFinal}"/>

                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range' id="sliderAC1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionInicial.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionInicial.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeAC1WV, this);'
                    />
                    <input type='range' id="sliderAC2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionInicial.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionInicial.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeAC2WV, this);'
                    />
                </div>
            </p:panel>

            <p:panel>
                <h2>Área de construcción final (m2)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeACF1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderACF1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionFinal.valorInicial}"/>
                    <p:inputText widgetVar="inputRangeACF2WV" onkeyup="onChangeInputSlider(sliderACF2, this)"
                                 value="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionFinal.valorFinal}"/>
                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range' id="sliderACF1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionFinal.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionFinal.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeACF1WV, this);'
                    />
                    <input type='range' id="sliderACF2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionFinal.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionFinal.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeACF2WV, this);'
                    />
                </div>
            </p:panel>

            <p:panel>
                <h2>Variación área de construcción (%)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeACD1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderACV1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionVariacion.valorInicial}"/>
                    <p:inputText widgetVar="inputRangeACD2WV" onkeyup="onChangeInputSlider(sliderACV2, this)"
                                 value="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionVariacion.valorFinal}"/>
                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range'  id="sliderACV1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionVariacion.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionVariacion.valorMaximo}" step='0.001'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeACD1WV, this);'
                    />
                    <input type='range' id="sliderACV2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionVariacion.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.areaConstruccionVariacion.valorMaximo}" step='0.001'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeACD2WV, this);'
                    />
                </div>
            </p:panel>
        </h:panelGrid>


        <p:separator></p:separator>


    </p:fieldset>

    <p:spacer height="10" width="13"/>

    <p:fieldset legend="Avalúo" toggleable="true" toggleSpeed="500">

        <p:spacer height="13" width="13"/>

        <h:panelGrid columns="3" cellpadding="5" width="100%">

            <p:panel>
                <h2>Avalúo inicial ($)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeA1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderA1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.avaluoInicial.valorInicial}"/>


                    <p:inputText widgetVar="inputRangeA2WV" onkeyup="onChangeInputSlider(sliderA2, this)"

                                 value="#{registroTablasActualizacion.filtroCargueDTO.avaluoInicial.valorFinal}"/>

                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range' id="sliderA1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.avaluoInicial.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.avaluoInicial.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeA1WV, this);'
                    />
                    <input type='range' id="sliderA2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.avaluoInicial.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.avaluoInicial.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeA2WV, this);'
                    />
                </div>
            </p:panel>

            <p:panel>
                <h2>Avalúo final ($)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeAF1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderAF1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.avaluoFinal.valorInicial}"/>
                    <p:inputText widgetVar="inputRangeAF2WV" onkeyup="onChangeInputSlider(sliderAF2, this)"
                                 value="#{registroTablasActualizacion.filtroCargueDTO.avaluoFinal.valorFinal}"/>
                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range' id="sliderAF1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.avaluoFinal.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.avaluoFinal.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeAF1WV, this);'
                    />
                    <input type='range' id="sliderAF2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.avaluoFinal.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.avaluoFinal.valorMaximo}" step='5'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeAF2WV, this);'
                    />
                </div>
            </p:panel>

            <p:panel>
                <h2>Variación avalúo (%)</h2>


                <h:panelGrid columns="4" cellpadding="0" width="100%">
                    <p:inputText  widgetVar="inputRangeAD1WV" style="margin-rigth:0px;" onkeyup="onChangeInputSlider(sliderAV1, this)"
                                  value="#{registroTablasActualizacion.filtroCargueDTO.avaluoVariacion.valorInicial}"/>
                    <p:inputText widgetVar="inputRangeAD2WV" onkeyup="onChangeInputSlider(sliderAV2, this)"
                                 value="#{registroTablasActualizacion.filtroCargueDTO.avaluoVariacion.valorFinal}"/>
                </h:panelGrid>
                <p:spacer height="5" width="13"/>


                <div class='multi-range' data-lbound='0' data-ubound='50'>
                    <input type='range'  id="sliderAV1"
                           min="#{registroTablasActualizacion.filtroCargueDTO.avaluoVariacion.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.avaluoVariacion.valorMaximo}" step='0.001'
                           oninput='this.parentNode.dataset.lbound=this.value; onChangeSlider(inputRangeAD1WV, this);'
                    />
                    <input type='range' id="sliderAV2"
                           min="#{registroTablasActualizacion.filtroCargueDTO.avaluoVariacion.valorMinimo}"
                           max="#{registroTablasActualizacion.filtroCargueDTO.avaluoVariacion.valorMaximo}" step='0.001'
                           oninput='this.parentNode.dataset.ubound=this.value; onChangeSlider(inputRangeAD2WV, this);'
                    />
                </div>
            </p:panel>
        </h:panelGrid>


        <p:separator></p:separator>


    </p:fieldset>


    <p:spacer height="20" width="13"/>


    <p:outputPanel layout="block" style="text-align:right">

        <p:spacer height="40" width="13"/>
        <p:commandButton value="Restablecer"
                         icon="ui-icon-circle-close"
                         update="filtrosAvanzadosForm"
                         action="#{registroTablasActualizacion.limpiarFiltros}"
                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();"/>
        <p:spacer height="20" width="13"/>

        <p:commandButton value="Aplicar"
                         process="@this, filtrosAvanzadosForm"
                         update=":registroTablasForm"
                         icon="ui-icon-circle-close"
                         action="#{registroTablasActualizacion.filtrarInfoAlfanumerica}"
                         onstart="statusDialog2.show();" onsuccess="statusDialog2.hide();filtrosAvanzadosWV.hide();"/>
        <p:spacer height="0" width="20"/>

    </p:outputPanel>
    <p:spacer height="40" width="13"/>

</h:form>
